Summary: A personal finance tracking and performance tool for X.
Name: xinvest
Version: 2.6
Release: 3
Copyright: distributable
Group: Applications/Productivity
Source0: ftp://ftp.x.org/contrib/applications/%{name}-%{version}.tar.gz
Url: http://sunsite.auc.dk/xinvest/
Patch0: xinvest-2.3.1-static.patch
Patch1: xinvest-2.3.1-xtrealloc.patch
Patch2: xinvest-2.6-config.patch
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: lesstif-1.2-devel
Requires: lesstif

%description
Xinvest allows you to track investments in one central database and
centralize your record keeping by storing all transactions in account
specific files.  You can calculate total and annualized returns
(including the effects of buys, sells and dividends), plot various
transaction parameters (share price, shares per transaction, etc.),
view asset allocation of accounts in a portfolio, use a financial
calculator equipped with common financial equations, and receive
real-time price quote updates from the web (via Xquote, which you will
also need to install in order to use the stock quote update feature).

%prep
%setup -q
%ifarch i386
#%patch0 -p1
%endif
#%patch1 -p1
%patch2 -p1 -b .config

%build 
xmkmf -a
make Makefile
make depend
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/Xinvest \
	$RPM_BUILD_ROOT/etc/X11/applnk/Applications
find samples | cpio -pdmv $RPM_BUILD_ROOT/usr/lib/Xinvest

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Applications/xinvest.desktop <<EOF
[Desktop Entry]
Name=xinvest
Comment=A personal finance tracking
Exec=Xinvest
Type=Application
Terminal=0
EOF

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /usr/lib/Xinvest
%doc README CHANGES TODO
%config /etc/X11/applnk/Applications/xinvest.desktop
/usr/X11R6/bin/Xinvest
/usr/X11R6/lib/X11/app-defaults/Xinvest
/usr/lib/Xinvest/*

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Thu Jul 13 2000 Than Ngo <than@redhat.de>
- use %{_tmppath}

* Wed May 31 2000 Than Ngo <than@redhat.de>
- update to 2.6 for 7.0
- remove wmconfig/xinvest, add xinvest.desktop
- cleanup specfile

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Fri Apr 09 1999 Michael Maher <mike@redhat.com>
- built package for 6.0 

* Tue Oct 13 1998 Michael Maher <mike@redhat.com>
- built package for 5.2 

* Wed May 20 1998 Cristian Gafton <gafton@redhat.com>
- buildroot

* Mon Feb  2 1998 Otto Hammersmith <otto@redhat.com>
- fixed wmconfig entry (call Xinvest, not xinvest)

* Thu Nov 20 1997 Otto Hammersmith <otto@redaht.com>
- added wmconfig entry

* Wed Nov 19 1997 Otto Hammersmith <otto@redhat.com>
- updated version
- built against lesstif

* Mon Mar 17 1997 Michael Fulbright <msf@redhat.com>
- Added docs and sample files to file list.
- Fixed a error in the size of a malloc which causes seg faults.
